Openapi Spec
Returns the OpenAPI specification for the Glue2 gateway.
Description
This endpoint serves the OpenAPI 3.0 specification document that describes all routes, request formats, and response schemas exposed by the gateway. The specification is auto-generated from the route definitions.
Authentication
None. This endpoint is public.
Request
No request body required.
Example
1curl -X GET "https://api.hola.cloud/openapi.json"
Response
1{
2 "openapi": "3.0.3",
3 "info": {
4 "title": "Glue2 API Gateway",
5 "version": "2.3.1",
6 "description": "Central API gateway for HolaCloud services"
7 },
8 "paths": {
9 "/version": {
10 "get": {
11 "summary": "Get gateway version",
12 "responses": {
13 "200": {
14 "description": "Version information"
15 }
16 }
17 }
18 },
19 "/v0/virtualhosts": {
20 "get": {
21 "summary": "List virtual hosts",
22 "responses": {
23 "200": {
24 "description": "Routing table"
25 }
26 }
27 }
28 },
29 "/v0/stats": {
30 "get": {
31 "summary": "Get traffic stats",
32 "responses": {
33 "200": {
34 "description": "Traffic statistics"
35 }
36 }
37 }
38 },
39 "/v0/status": {
40 "get": {
41 "summary": "Backend health status",
42 "responses": {
43 "200": {
44 "description": "Service status"
45 }
46 }
47 }
48 }
49 }
50}
Error Codes
| Code | Description |
|---|---|
| 200 | OpenAPI specification returned successfully |
Comments